const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let chunk = "";
    let chunks = [];
    let chunkIndex = 0;
    let totalLength = 0;      

    for (let i = 1; i <= vars.data_1.length; i++) {
      let row = vars.data_1[i - 1];
      chunk = chunk + "\n\n" + i + ". " + row.body; 

      if (chunk.length > 2000) {
        chunks[chunkIndex] = chunk;
        chunk = "";
        chunkIndex++;
      }

      totalLength += row.body.length;
      if (totalLength > 25000) {
        break;
      }
    }

    // Grab that last chunk
    chunks[chunkIndex] = chunk;    

    let newPayload = {
      "chunks": chunks,
    }


    Mesa.trigger.setTaskExternalData({
      label: "Broke into " + chunks.length + " chunks - total length: " + totalLength,
    });  

    // We're done, call the next step!
    Mesa.output.next(newPayload);
  }
}
